export { Lock } from './Lock';
export { Semaphore } from './Semaphore';
import { Encoding, FirstParameter } from './type';
export declare const DEFAULT_ENCODING: Encoding;
export declare const CLOSE_EVENT_NAMES: readonly ["close", "exit", "SIGINT", "SIGTERM", "SIGQUIT", "uncaughtException"];
export declare const CONSOLE_METHODS: readonly ["debug", "error", "info", "log", "warn"];
export declare const VALUE_COPY_SYMBOL: unique symbol;
export declare const IGNORE_NULL_AND_UNDEFINED_SYMBOL: unique symbol;
export declare const ABBREVIATIONS: Array<string>;
export declare const ANIMATION_END_EVENT_NAMES = "animationend webkitAnimationEnd oAnimationEnd MSAnimationEnd";
export declare const CLASS_TO_TYPE_MAPPING: {
    readonly '[object Array]': "array";
    readonly '[object Boolean]': "boolean";
    readonly '[object Date]': "date";
    readonly '[object Error]': "error";
    readonly '[object Function]': "function";
    readonly '[object Map]': "map";
    readonly '[object Number]': "number";
    readonly '[object Object]': "object";
    readonly '[object RegExp]': "regexp";
    readonly '[object Set]': "set";
    readonly '[object String]': "string";
};
export declare const KEY_CODES: {
    readonly BACKSPACE: 8;
    readonly SPACE: 32;
    readonly TAB: 9;
    readonly DELETE: 46;
    readonly ENTER: 13;
    readonly COMMA: 188;
    readonly PERIOD: 190;
    readonly END: 35;
    readonly ESCAPE: 27;
    readonly F1: 112;
    readonly F2: 113;
    readonly F3: 114;
    readonly F4: 115;
    readonly F5: 116;
    readonly F6: 117;
    readonly F7: 118;
    readonly F8: 119;
    readonly F9: 120;
    readonly F10: 121;
    readonly F11: 122;
    readonly F12: 123;
    readonly HOME: 36;
    readonly NUMPAD_ADD: 107;
    readonly NUMPAD_SUBTRACT: 109;
    readonly NUMPAD_DECIMAL: 110;
    readonly NUMPAD_DIVIDE: 111;
    readonly NUMPAD_ENTER: 108;
    readonly NUMPAD_MULTIPLY: 106;
    readonly PAGE_UP: 33;
    readonly PAGE_DOWN: 34;
    readonly UP: 38;
    readonly DOWN: 40;
    readonly LEFT: 37;
    readonly RIGHT: 39;
};
export declare const KEYBOARD_CODES: {
    readonly BACKSPACE: "Backspace";
    readonly SPACE: "Space";
    readonly TAB: "Tab";
    readonly DELETE: "Delete";
    readonly ENTER: "Enter";
    readonly COMMA: "Comma";
    readonly PERIOD: "Period";
    readonly END: "End";
    readonly ESCAPE: "Escape";
    readonly F1: "F1";
    readonly F2: "F2";
    readonly F3: "F3";
    readonly F4: "F4";
    readonly F5: "F5";
    readonly F6: "F6";
    readonly F7: "F7";
    readonly F8: "F8";
    readonly F9: "F9";
    readonly F10: "F10";
    readonly F11: "F111";
    readonly F12: "F12";
    readonly HOME: "Home";
    readonly NUMPAD_ADD: "NumpadAdd";
    readonly NUMPAD_SUBTRACT: "NumpadSubtract";
    readonly NUMPAD_DECIMAL: "NumpadDecimal";
    readonly NUMPAD_DIVIDE: "NumpadDivide";
    readonly NUMPAD_ENTER: "NumpadEnter";
    readonly NUMPAD_MULTIPLY: "NumpadMultiply";
    readonly PAGE_UP: "PageUp";
    readonly PAGE_DOWN: "PageUp";
    readonly UP: "ArrowUp";
    readonly DOWN: "ArrowDown";
    readonly LEFT: "ArrowLeft";
    readonly RIGHT: "ArrowUp";
};
export declare const LOCALES: Array<string>;
export declare const PLAIN_OBJECT_PROTOTYPES: Array<FirstParameter<typeof Object.getPrototypeOf>>;
export declare const SPECIAL_REGEX_SEQUENCES: Array<string>;
export declare const TRANSITION_END_EVENT_NAMES = "transitionend webkitTransitionEnd oTransitionEnd MSTransitionEnd";
